package net.northking.cctp.upperComputer.utils.deviceHepler;

import java.io.File;

/**
 * @author : yineng.huang
 * @date : 2024/10/29 17:46
 */
public interface DeviceHelper {

    String downloadAppToLocal(String appId, String appName);

    boolean cleanData(String deviceId,String appPackage);

    boolean isAppInstalled(String deviceId, String appPackage);

    boolean removeApp(String deviceId, String appPackage);

    boolean terminateApp(String deviceId, String appPackage);

    String getOldPackageCode(String deviceId, String appPackage);

    boolean installApp(String deviceId, String appPath);

    boolean activateApp(String deviceId, String appPackage);

    File getScreenShotFile(String serial);

    File getScreenShotFile(String deviceId, Integer startX, Integer startY, Integer cutWidth, Integer cutHeight, Integer screenWidth, Integer screenHeight,int width,int height);

    File getScreenShotFile(String deviceId, Integer startX, Integer startY, int width, int height);
}
